Bug 1653276 - My IPP network printer is not seen from one machine, works fine from others
Summary: My IPP network printer is not seen from one machine, works fine from others
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 12:29 UTC by Richard W.M. Jones
Modified: 2019-11-11 12:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 12:44:04 UTC


Attachments (Terms of Use)
troubleshoot.txt (1.84 KB, text/plain)
2018-11-26 12:29 UTC, Richard W.M. Jones
no flags Details
troubleshoot-logs.txt (264.40 KB, text/plain)
2018-11-26 12:30 UTC, Richard W.M. Jones
no flags Details
Attaching more cups logs, with debugging enabled. (7.90 MB, text/plain)
2018-11-27 12:52 UTC, Richard W.M. Jones
no flags Details
cups logs using dnssd:// URI (6.39 MB, text/plain)
2018-11-28 13:31 UTC, Richard W.M. Jones
no flags Details
avahi.pcap (6.02 KB, application/vnd.tcpdump.pcap)
2019-01-14 12:42 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2018-11-26 12:29:18 UTC
Description of problem:

I have a Canon-MG7500 network printer.  Other Fedora machines on the
network can see and print to it fine, however one particular machine
is unable to even see it and I have no idea why.

SELinux is set to Permissive.

# ippfind --ls
No output, exits with code 1.

I ran the troubleshooter but it had no idea.  I will add the logs anyway.

This same machine was previously able to see and print to this
printer, but it stopped working some time after upgrading to F29.

Version-Release number of selected component (if applicable):

cups-2.2.8-6.fc29.x86_64
system-config-printer-1.5.11-14.fc29.x86_64

How reproducible:

100% (on one machine), never on others.

Steps to Reproduce:
1. Unknown.

Comment 1 Richard W.M. Jones 2018-11-26 12:29:50 UTC
Created attachment 1508565 [details]
troubleshoot.txt

Comment 2 Richard W.M. Jones 2018-11-26 12:30:16 UTC
Created attachment 1508566 [details]
troubleshoot-logs.txt

Comment 3 Zdenek Dohnal 2018-11-27 12:26:51 UTC
Hi Richard,

thank you for reporting the issue and for attaching the log files! Can you check what printer uri (ipp://smth..., you can see it when you issue 'lpstat -t' on the machine where ) your printer has and install it with it in s-c-p? Then enable debugging in CUPS (see https://fedoraproject.org/wiki/How_to_debug_printing_problems#Getting_debug_logging_from_journal ) and try to send the job on it and attach the logs.
You can try if CUPS itself can find your printer by '$ sudo lpinfo -v'.

From what I found out from logs:
I see there lots of errors:

Unable to get printer status.

which is shown for several ipp error statuses, when ipp backend asks printer or print queue about its attributes. Backend shows the error status when debug log is enabled, but it was not enabled during some time frames of log. That's why I would like to see debug logs before the error message.

Comment 4 Richard W.M. Jones 2018-11-27 12:51:09 UTC
(1) Enabled logging with cupsctl LogLevel=debug2 and restarting cups
service.

(2) SELinux set to Permissive.

(3) Run s-c-p, unlock, attempt to Add printer.

(4) As before, the printer is not seen automatically.

Output of lpstat -t:
scheduler is running
no system default destination
lpstat: No destinations added.
lpstat: No destinations added.
lpstat: No destinations added.
lpstat: No destinations added.

(5) Enter device URI: ipp://printer/ipp (I'm not sure exactly
what URI to use there).

(6) s-c-p doesn't appear to find the printer and offers a full list
of drivers to choose from.  I select make and model manually.

After this, output of lpstat -t:
scheduler is running
system default destination: Canon-MG7500
device for Canon-MG7500: ipp://printer/ipp
Canon-MG7500 accepting requests since Tue 27 Nov 2018 12:50:09 GMT
printer Canon-MG7500 disabled since Tue 27 Nov 2018 12:50:09 GMT -
	Rendering completed
Canon-MG7500-17         rjones            1024   Tue 27 Nov 2018 12:50:04 GMT

(7) Print Test Page.

(8) Nothing is actually printed.

Comment 5 Richard W.M. Jones 2018-11-27 12:51:21 UTC
# lpinfo -v
network http
direct hp
network ipp
network socket
network lpd
network https
network beh
network ipps
network smb
direct hpfax

Comment 6 Richard W.M. Jones 2018-11-27 12:52:44 UTC
Created attachment 1508813 [details]
Attaching more cups logs, with debugging enabled.

Comment 7 Zdenek Dohnal 2018-11-27 13:32:03 UTC
(In reply to Richard W.M. Jones from comment #4)
> (5) Enter device URI: ipp://printer/ipp (I'm not sure exactly
> what URI to use there).

The uri, which printer has on other machines, where it works fine. Please redo these steps with that one and reattach the file. You can use '--since' option to limit the logs for only when the issue happens and do not attach the whole log. 

(In reply to Richard W.M. Jones from comment #5)
> # lpinfo -v
> network http
> direct hp
> network ipp
> network socket
> network lpd
> network https
> network beh
> network ipps
> network smb
> direct hpfax

Hmm, even CUPS cannot find it... What's your network topology? Is the printer actually in the local network or it is just print queue on a CUPS server somewhere?

Comment 8 Richard W.M. Jones 2018-11-28 12:55:45 UTC
On the working machine I believe the URL is this:

$ sudo lpstat -v
device for Canon-MG5700-series: dnssd://Canon%20MG5700%20series._ipp._tcp.local/?uuid=00000000-0000-1000-8000-00BBC1ED122D

Comment 9 Richard W.M. Jones 2018-11-28 12:56:13 UTC
& yes everything is on a single network segment, including the printer
and both the non-functional and functional Fedora machines.

Comment 10 Zdenek Dohnal 2018-11-28 13:05:50 UTC
Rich,

would you mind attaching your /etc/nsswitch.conf? There was a bug in authselect, which was setting /etc/nsswitch.conf to default, but on clean install (maybe it is somehow connected...) - you should see a line like:

hosts:      files mdns_minimal [NOTFOUND=return] resolve [!UNAVAIL=return] dns myhostname

Comment 11 Richard W.M. Jones 2018-11-28 13:07:53 UTC
Non working machine:

# Generated by authselect on Wed Jun 27 15:29:35 2018
# Do not modify this file manually.

passwd:      sss files systemd
group:       sss files systemd
netgroup:   sss files
automount:  sss files
services:   sss files
sudoers:    files

shadow:     files
ethers:     files
netmasks:   files
networks:   files
protocols:  files
rpc:        files
hosts:      files dns myhostname

aliases:    files nisplus
bootparams: nisplus [NOTFOUND=return] files
publickey:  nisplus


Working machine:

#
# /etc/nsswitch.conf
#
# An example Name Service Switch config file. This file should be
# sorted with the most-used services at the beginning.
#
# The entry '[NOTFOUND=return]' means that the search for an
# entry should stop if the search in the previous entry turned
# up nothing. Note that if the search failed due to some other reason
# (like no NIS server responding) then the search continues with the
# next entry.
#
# Valid entries include:
#
#	nisplus			Use NIS+ (NIS version 3)
#	nis			Use NIS (NIS version 2), also called YP
#	dns			Use DNS (Domain Name Service)
#	files			Use the local files
#	db			Use the local database (.db) files
#	compat			Use NIS on compat mode
#	hesiod			Use Hesiod for user lookups
#	[NOTFOUND=return]	Stop searching if not found so far
#

# To use db, put the "db" in front of "files" for entries you want to be
# looked up first in the databases
#
# Example:
#passwd:    db files nisplus nis
#shadow:    db files nisplus nis
#group:     db files nisplus nis

passwd:      files sss systemd
shadow:     files sss
group:       files sss systemd

#hosts:     db files nisplus nis dns
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

# Example - obey only what nisplus tells us...
#services:   nisplus [NOTFOUND=return] files
#networks:   nisplus [NOTFOUND=return] files
#protocols:  nisplus [NOTFOUND=return] files
#rpc:        nisplus [NOTFOUND=return] files
#ethers:     nisplus [NOTFOUND=return] files
#netmasks:   nisplus [NOTFOUND=return] files

bootparams: nisplus [NOTFOUND=return] files

ethers:     files
netmasks:   files
networks:   files
protocols:  files
rpc:        files
services:   files sss

netgroup:   files sss

publickey:  nisplus

automount:  files sss
aliases:    files nisplus

Comment 12 Richard W.M. Jones 2018-11-28 13:08:49 UTC
Non-working:

$ grep hosts /etc/nsswitch.conf
hosts:      files dns myhostname

Working:

$ grep hosts /etc/nsswitch.conf
#hosts:     db files nisplus nis dns
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

Comment 13 Richard W.M. Jones 2018-11-28 13:14:33 UTC
So I noticed that authselect was still at the F28 version on the
non-working machine.  Just updated it to 1.0.2-1.fc29.

Also:

$ sudo authselect check
[error] [/etc/authselect/system-auth] has unexpected content!
[error] [/etc/authselect/password-auth] has unexpected content!
[error] [/etc/authselect/fingerprint-auth] has unexpected content!
[error] [/etc/authselect/nsswitch.conf] has unexpected content!
[error] [/etc/authselect/dconf-db] has unexpected content!
[error] [/etc/nsswitch.conf] is not a symbolic link!
[error] [/etc/nsswitch.conf] was not created by authselect!
Current configuration is not valid. It was probably modified outside authselect.

So I guess the upgrade didn't go too well.

Comment 14 Zdenek Dohnal 2018-11-28 13:30:02 UTC
Would you mind trying to reinstall nss-mdns package?

Comment 15 Richard W.M. Jones 2018-11-28 13:31:30 UTC
Created attachment 1509515 [details]
cups logs using dnssd:// URI

These are the cups logs after using the dnssd:// URI explicitly.

However it still couldn't find the printer or print a test page.

Comment 16 Richard W.M. Jones 2018-11-28 13:34:10 UTC
(In reply to Zdenek Dohnal from comment #14)
> Would you mind trying to reinstall nss-mdns package?

I did 'sudo dnf reinstall nss-mdns' which was successful.  However
sstem-config-printer still can't see the printer.

Also:

# lpinfo -v
network ipp
direct hp
network socket
network https
network beh
network lpd
network ipps
network http
network smb
direct hpfax

# ippfind --ls
(no output, exit status 1)

$ ll /etc/nsswitch.conf*
-rw-r--r--. 1 root root 502 Nov 28 13:31 /etc/nsswitch.conf
-rw-r--r--. 1 root root 502 Nov 28 13:17 /etc/nsswitch.conf.bak

# authselect check
[error] [/etc/authselect/system-auth] has unexpected content!
[error] [/etc/authselect/password-auth] has unexpected content!
[error] [/etc/authselect/fingerprint-auth] has unexpected content!
[error] [/etc/authselect/nsswitch.conf] has unexpected content!
[error] [/etc/authselect/dconf-db] has unexpected content!
[error] [/etc/nsswitch.conf] is not a symbolic link!
[error] [/etc/nsswitch.conf] was not created by authselect!
Current configuration is not valid. It was probably modified outside authselect.

So reinstalling doesn't seem to have changed anything.

Comment 17 Richard W.M. Jones 2018-11-28 13:36:06 UTC
Version of nss-mdns which was installed before and reinstalled just now is:
nss-mdns-0.14.1-2.fc29.x86_64

Comment 18 Zdenek Dohnal 2018-11-28 13:43:32 UTC
And what about nsswitch.conf?

Is there what is on working machine?:

$ grep hosts /etc/nsswitch.conf
#hosts:     db files nisplus nis dns
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

Comment 19 Richard W.M. Jones 2018-11-28 13:46:14 UTC
The working machine is on F28, and has:

$ rpm -q nss-mdns
nss-mdns-0.14.1-1.fc28.x86_64

$ grep hosts /etc/nsswitch.conf
#hosts:     db files nisplus nis dns
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

/etc/nssswitch.conf is not a symlink on the working machine.

Comment 20 Zdenek Dohnal 2018-11-28 13:53:26 UTC
Rich,

would you mind putting 'mdns4_minimal [NOTFOUND=return]' into /etc/authselect/nsswitch.conf to 'host' directive? Maybe then you will need to restart cups and probably avahi.

Comment 21 Richard W.M. Jones 2018-11-28 17:30:46 UTC
So what I have now is:

/etc/nsswitch.conf -> authselect/nsswitch.conf

# grep hosts authselect/nsswitch.conf
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

Restarted cups & avahi-daemon.service and cups.service.

Still does not find the *** printer ...

What is the command line program to search for printers on the
network?  Is that ippfind --ls or lpinfo -v?

Comment 22 Zdenek Dohnal 2018-11-29 08:18:01 UTC
(In reply to Richard W.M. Jones from comment #21)
> So what I have now is:
> 
> /etc/nsswitch.conf -> authselect/nsswitch.conf
> 
> # grep hosts authselect/nsswitch.conf
> hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname
> 
> Restarted cups & avahi-daemon.service and cups.service.
> 
> Still does not find the *** printer ...

Hmm... I removed several downstream patches, which were rejected in the past in upstream and fixed in different way - so IMO it was fine to remove them, maybe they caused it? Would you mind trying https://koji.fedoraproject.org/koji/taskinfo?taskID=31171442 if it helps.

> 
> What is the command line program to search for printers on the
> network?  Is that ippfind --ls or lpinfo -v?

IIUC ippfind is only for finding IPP network printers (they need to be find by Avahi, communicate by IPP protocol and support one of specific document formats - Apple raster, PWG raster or pdf), 'sudo lpinfo -v' search for every printer available to the machine - usb, ipp, dnssd, socket etc.

Would you mind trying these commands before you install rpms from scratch build and attach their outputs? (you need to install avahi-tools for avahi-browse command)

$ /usr/lib/cups/backend/snmp <IP of the printer>
$ sudo /usr/lib/cups/backend/dnssd
$ avahi-browse -a -v -t -r
$ avahi-browse -a -v -c -r

Comment 23 Pavel Březina 2018-11-29 12:19:04 UTC
About authselect configuration.

> # Generated by authselect on Wed Jun 27 15:29:35 2018
> # Do not modify this file manually.
> passwd:      sss files systemd

This configuration is pretty old and it did not get proper update. This is because systemd and nss-mdns packages modifies nsswitch.conf and therefore turns the configuration into something that authselect does not know and this is the reason why "authselect check" yields so many errors, because it does not overwrite configuration it does not know.

I am in touch with maintainers of these packages and we are trying to find the best way to solve this so we do not step on each others toes.

It is alright for the "authselect check" to produce errors as you are not obligated to use authselect, you can just update the files as needed and ignore authselect. But if you would like to keep using authselect, please modify /etc/authselect/user-nsswitch.conf" (add required hosts line there) and call "authselect select sssd --force" to fix the authselect configuration.

Comment 24 Richard W.M. Jones 2018-11-29 13:35:33 UTC
This is with the scratch build of cups, after restarting cups.service
and avahi-daemon.service.

SELinux is still set to Permissive.

Also I did authselect --force so now:

$ sudo authselect check
Current configuration is valid.

$ sudo /usr/lib/cups/backend/snmp 192.168.0.252
(no output, no error)

$ sudo /usr/lib/cups/backend/dnssd
DEBUG: sent=0, count=0
DEBUG: sent=0, count=0

$ avahi-browse -a -v -t -r
Server version: avahi 0.7; Host name: moo.local
E Ifce Prot Name                                          Type                 Domain
: Cache exhausted
: All for now

$ avahi-browse -a -v -c -r
Server version: avahi 0.7; Host name: moo.local
E Ifce Prot Name                                          Type                 Domain
: Cache exhausted

Also I ran system-config-printer but it still can't see the printer.

Comment 25 Pavel Březina 2018-11-29 14:25:44 UTC
Did you also add "hosts: files mdns4_minimal [NOTFOUND=return] dns myhostname" to /etc/authselect/user-nsswitch.conf before you run "authselect select"? If not, you can do it now and just call "authselect apply-changes" to generate new nsswitch.conf.

Comment 26 Richard W.M. Jones 2018-11-29 17:16:36 UTC
(In reply to Pavel Březina from comment #25)
> Did you also add "hosts: files mdns4_minimal [NOTFOUND=return] dns
> myhostname" to /etc/authselect/user-nsswitch.conf before you run "authselect
> select"? If not, you can do it now and just call "authselect apply-changes"
> to generate new nsswitch.conf.

Sorry I missed that, so no I did not.

I have now followed these instructions, including authselect apply-changes,
and restarting avahi-daemon & cups.  /etc/authselect/nsswitch.conf has:

#     hosts: files dns
#     hosts: files dns  # from user file
hosts:      files mdns4_minimal [NOTFOUND=return] dns myhostname

I'm afraid I still can't see the printer, neither in s-c-p nor lpinfo -v

Here are the other details:

$ sudo /usr/lib/cups/backend/snmp 192.168.0.252
(no output)

$ sudo /usr/lib/cups/backend/dnssd
DEBUG: sent=0, count=0
DEBUG: sent=0, count=0

$ avahi-browse -a -v -t -r
Server version: avahi 0.7; Host name: moo.local
E Ifce Prot Name                                          Type                 Domain
: Cache exhausted
: All for now

$ avahi-browse -a -v -c -r
Server version: avahi 0.7; Host name: moo.local
E Ifce Prot Name                                          Type                 Domain
: Cache exhausted

Comment 27 Zdenek Dohnal 2018-12-03 10:46:30 UTC
(In reply to Richard W.M. Jones from comment #26)
> $ avahi-browse -a -v -t -r
> Server version: avahi 0.7; Host name: moo.local
> E Ifce Prot Name                                          Type              
> Domain
> : Cache exhausted
> : All for now
> 
> $ avahi-browse -a -v -c -r
> Server version: avahi 0.7; Host name: moo.local
> E Ifce Prot Name                                          Type              
> Domain
> : Cache exhausted

Hmm... it seems something is wrong with avahi browsing - because avahi-browse does the similar thing as cupsd (and dnssd backend especially) - browsing available mdns messages and looks for records which advertises printers.

If avahi-browse cannot find any message, then there isn't much to do from cups perspective... either there is other issue with /etc/nsswitch.conf, or avahi itself has some kind of problem...

Reassigning to avahi for more investigation.

Comment 28 Zdenek Dohnal 2018-12-12 14:28:54 UTC
Rich,

would you mind capturing network traffic during f.e. 'avahi-browse -a -v -t -r' and attaching it? You can do it by:

# tcpdump -n -i <net_interface> -s0 -U -w avahi.pcap

Comment 29 Zdenek Dohnal 2019-01-14 11:05:38 UTC
Summary of my latest efforts:

I had the same configuration as I have in F28, but avahi-browse did not return anything. 
I checked the packet traffic in F28 and in F29 (in VM, but I created connection as a bridge to my local network with printer). I can see query for ipp services in mdns packet in F28, but I do not see a query for ipp services in F29.

Comment 30 Richard W.M. Jones 2019-01-14 12:42:12 UTC
Created attachment 1520543 [details]
avahi.pcap

I spent a good few hours on Saturday setting up a new laptop.  It also
cannot see the printer despite having a fresh Fedora 29 install.  The
old laptop is gone now.

So the attached network traffic dump is from the new laptop.

Comment 31 Richard W.M. Jones 2019-01-14 12:43:03 UTC
Output from the avahi-browse command:

Server version: avahi 0.7; Host name: foo.local
E Ifce Prot Name                                          Type                 Domain
+ wlp61s0 IPv6 Canon MG5700 series                           _uscan._tcp          local
+ wlp61s0 IPv4 Canon MG5700 series                           _uscan._tcp          local
+ wlp61s0 IPv6 Canon MG5700 series                           _privet._tcp         local
+ wlp61s0 IPv4 Canon MG5700 series                           _privet._tcp         local
+ wlp61s0 IPv6 Canon MG5700 series                           UNIX Printer         local
+ wlp61s0 IPv4 Canon MG5700 series                           UNIX Printer         local
+ wlp61s0 IPv6 Canon MG5700 series                           _scanner._tcp        local
+ wlp61s0 IPv4 Canon MG5700 series                           _scanner._tcp        local
+ wlp61s0 IPv6 Canon MG5700 series                           _canon-bjnp1._tcp    local
+ wlp61s0 IPv4 Canon MG5700 series                           _canon-bjnp1._tcp    local
+ wlp61s0 IPv6 Canon MG5700 series                           Secure Internet Printer local
+ wlp61s0 IPv4 Canon MG5700 series                           Secure Internet Printer local
+ wlp61s0 IPv6 Canon MG5700 series                           Internet Printer     local
+ wlp61s0 IPv4 Canon MG5700 series                           Internet Printer     local
+ wlp61s0 IPv6 Canon MG5700 series                           Web Site             local
+ wlp61s0 IPv4 Canon MG5700 series                           Web Site             local
= wlp61s0 IPv6 Canon MG5700 series                           _uscan._tcp          local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["duplex=F" "is=platen" "cs=grayscale,color" "rs=eSCL" "representation=http://ED122D000000.local./icon/printer_icon.png" "vers=2.5" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=image/jpeg,application/pdf" "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           _uscan._tcp          local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["duplex=F" "is=platen" "cs=grayscale,color" "rs=eSCL" "representation=http://ED122D000000.local./icon/printer_icon.png" "vers=2.5" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=image/jpeg,application/pdf" "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           _privet._tcp         local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["cs=online" "id=" "type=printer" "url=https://www.google.com/cloudprint" "note=Rich's office" "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           _privet._tcp         local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["cs=online" "id=" "type=printer" "url=https://www.google.com/cloudprint" "note=Rich's office" "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           UNIX Printer         local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [515]
   txt = ["Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local." "note=Rich's office" "pdl=application/octet-stream" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=60" "qtotal=1" "rp=auto" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           UNIX Printer         local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [515]
   txt = ["Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local." "note=Rich's office" "pdl=application/octet-stream" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=60" "qtotal=1" "rp=auto" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           _scanner._tcp        local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [8612]
   txt = ["scannerAvailable=1" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "mdl=MG5700 series" "mfg=Canon" "adminurl=http://ED122D000000.local." "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           _scanner._tcp        local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [8612]
   txt = ["scannerAvailable=1" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "mdl=MG5700 series" "mfg=Canon" "adminurl=http://ED122D000000.local." "ty=Canon MG5700 series" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           _canon-bjnp1._tcp    local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [8611]
   txt = ["note=Rich's office" "priority=20" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           _canon-bjnp1._tcp    local
   hostname = [ED122D000000.local]
   address = [fe80::2bb:c1ff:feed:122d]
   port = [8611]
   txt = ["note=Rich's office" "priority=20" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           Secure Internet Printer local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [443]
   txt = ["TLS=1.2" "print-wfds=T" "PaperMax=legal-A4" "kind=document,envelope,photo" "Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "URF=V1.4,CP1,PQ4-5,RS600,SRGB24,W8,OB9,OFU0,DM3,IS1" "usb_CMD=URF" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=application/octet-stream,image/urf,image/jpeg,image/pwg-raster" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=15" "qtotal=1" "rp=ipp/print" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           Secure Internet Printer local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [443]
   txt = ["TLS=1.2" "print-wfds=T" "PaperMax=legal-A4" "kind=document,envelope,photo" "Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "URF=V1.4,CP1,PQ4-5,RS600,SRGB24,W8,OB9,OFU0,DM3,IS1" "usb_CMD=URF" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=application/octet-stream,image/urf,image/jpeg,image/pwg-raster" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=15" "qtotal=1" "rp=ipp/print" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           Internet Printer     local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [631]
   txt = ["print-wfds=T" "PaperMax=legal-A4" "kind=document,envelope,photo" "Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "URF=V1.4,CP1,PQ4-5,RS600,SRGB24,W8,OB9,OFU0,DM3,IS1" "usb_CMD=URF" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=application/octet-stream,image/urf,image/jpeg,image/pwg-raster" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=15" "qtotal=1" "rp=ipp/print" "txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           Internet Printer     local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [631]
   txt = ["print-wfds=T" "PaperMax=legal-A4" "kind=document,envelope,photo" "Fax=F" "Scan=T" "Duplex=T" "Color=T" "UUID=00000000-0000-1000-8000-00BBC1ED122D" "URF=V1.4,CP1,PQ4-5,RS600,SRGB24,W8,OB9,OFU0,DM3,IS1" "usb_CMD=URF" "usb_MDL=MG5700 series" "usb_MFG=Canon" "adminurl=http://ED122D000000.local./index.html?page=PAGE_AAP" "note=Rich's office" "pdl=application/octet-stream,image/urf,image/jpeg,image/pwg-raster" "product=(Canon MG5700 series)" "ty=Canon MG5700 series" "priority=15" "qtotal=1" "rp=ipp/print" "txtvers=1"]
= wlp61s0 IPv6 Canon MG5700 series                           Web Site             local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["txtvers=1"]
= wlp61s0 IPv4 Canon MG5700 series                           Web Site             local
   hostname = [ED122D000000.local]
   address = [192.168.0.252]
   port = [80]
   txt = ["txtvers=1"]
: Cache exhausted
+ wlp61s0 IPv6 fs                                            Web Site             local
+ wlp61s0 IPv4 fs                                            Web Site             local
= wlp61s0 IPv6 fs                                            Web Site             local
   hostname = [fs.local]
   address = [2001:8b0:9ad:8728:211:32ff:fe50:958d]
   port = [5000]
   txt = ["mac_address=00:11:32:50:95:8d|00:11:32:50:95:8e|00:11:32:50:95:8f|00:11:32:50:95:90" "secure_admin_port=5001" "admin_port=5000" "version_build=23824" "version_minor=2" "version_major=6" "serial=15A0MHN982204" "model=DS1815+" "vendor=Synology"]
+ wlp61s0 IPv6 fs                                            Apple File Sharing   local
+ wlp61s0 IPv4 fs                                            Apple File Sharing   local
+ wlp61s0 IPv6 fs                                            Microsoft Windows Network local
+ wlp61s0 IPv4 fs                                            Microsoft Windows Network local
= wlp61s0 IPv4 fs                                            Web Site             local
   hostname = [fs.local]
   address = [192.168.0.248]
   port = [5000]
   txt = ["mac_address=00:11:32:50:95:8d|00:11:32:50:95:8e|00:11:32:50:95:8f|00:11:32:50:95:90" "secure_admin_port=5001" "admin_port=5000" "version_build=23824" "version_minor=2" "version_major=6" "serial=15A0MHN982204" "model=DS1815+" "vendor=Synology"]
+ wlp61s0 IPv6 fs                                            _device-info._tcp    local
= wlp61s0 IPv6 fs                                            Apple File Sharing   local
   hostname = [fs.local]
   address = [2001:8b0:9ad:8728:211:32ff:fe50:958d]
   port = [548]
   txt = []
= wlp61s0 IPv6 fs                                            Microsoft Windows Network local
   hostname = [fs.local]
   address = [2001:8b0:9ad:8728:211:32ff:fe50:958d]
   port = [445]
   txt = []
+ wlp61s0 IPv4 fs                                            _device-info._tcp    local
= wlp61s0 IPv4 fs                                            Apple File Sharing   local
   hostname = [fs.local]
   address = [192.168.0.248]
   port = [548]
   txt = []
= wlp61s0 IPv4 fs                                            Microsoft Windows Network local
   hostname = [fs.local]
   address = [192.168.0.248]
   port = [445]
   txt = []
= wlp61s0 IPv6 fs                                            _device-info._tcp    local
   hostname = [fs.local]
   address = [2001:8b0:9ad:8728:211:32ff:fe50:958d]
   port = [0]
   txt = ["model=Xserve"]
= wlp61s0 IPv4 fs                                            _device-info._tcp    local
   hostname = [fs.local]
   address = [192.168.0.248]
   port = [0]
   txt = ["model=Xserve"]
+ wlp61s0 IPv4 time [b8:27:eb:b3:8b:70]                      Workstation          local
+ wlp61s0 IPv4 time                                          Remote Disk Management local
= wlp61s0 IPv4 time [b8:27:eb:b3:8b:70]                      Workstation          local
   hostname = [time.local]
   address = [192.168.0.208]
   port = [9]
   txt = []
= wlp61s0 IPv4 time                                          Remote Disk Management local
   hostname = [time.local]
   address = [192.168.0.208]
   port = [22]
   txt = []
: All for now

Comment 32 Richard W.M. Jones 2019-01-14 12:44:33 UTC
Well holy moly, the new laptop can now miraculously see the printer.  What changed
since Saturday?  Probably just installing avahi-browse?  Running avahi-browse?

Comment 33 Zdenek Dohnal 2019-01-14 13:12:20 UTC
Hi Rich,

IMO it is not connected to avahi-tools - because CUPS uses avahi shared library. And there was not any update in CUPS for this... maybe some change in authselect or avahi?

Comment 34 Ben Cotton 2019-10-31 20:10:42 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 35 Richard W.M. Jones 2019-11-11 12:44:04 UTC
This printer was a heap of junk and I threw it away a few weeks ago, closing.


Note You need to log in before you can comment on or make changes to this bug.